Package ghidra.app.util.bin.format.elf.info

# Class StandardElfInfoProducer

java.lang.Object
ghidra.app.util.bin.format.elf.info.StandardElfInfoProducer

All Implemented Interfaces:
  `ElfInfoProducer`, `ExtensionPoint`

public class StandardElfInfoProducer extends Object implements ElfInfoProducer
Handles marking up and program info for basic ELF note (and note-like) sections.

- NoteAbiTag
- NoteGnuBuildId
- NoteGnuProperty
- GnuDebugLink (not a note)
- ElfComment (not a note)

Runs after other ElfInfoProducers that have a normal priority.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final CategoryPath`
  `ELF_CATEGORYPATH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StandardElfInfoProducer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `init(ElfLoadHelper elfLoadHelper)`
  Initializes this instance.
  `void`
  `markupElfInfo(TaskMonitor monitor)`
  Called by the Elf loader to give this ElfInfoProducer the opportunity to markup the Elf binary.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ELF_CATEGORYPATH

    public static final CategoryPath ELF_CATEGORYPATH

- ## Constructor Details

  - ### StandardElfInfoProducer

    public StandardElfInfoProducer()

- ## Method Details

  - ### init

    public void init(ElfLoadHelper elfLoadHelper)
    Description copied from interface: `ElfInfoProducer`
    Initializes this instance.
    Specified by:
      `init` in interface `ElfInfoProducer`
    Parameters:
      `elfLoadHelper` - the Elf binary

  - ### markupElfInfo

    public void markupElfInfo(TaskMonitor monitor) throws CancelledException
    Description copied from interface: `ElfInfoProducer`
    Called by the Elf loader to give this ElfInfoProducer the opportunity to markup the Elf binary.
    Specified by:
      `markupElfInfo` in interface `ElfInfoProducer`
    Parameters:
      `monitor` - `TaskMonitor`
    Throws:
      `CancelledException`